//+------------------------------------------------------------------+
//|                                                 DemoUnDocked.mq5 |
//|                          Copyright 2018, MetaQuot Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2018, MetaQuot Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"

#include <Canvas\iCanvas.mqh> //https://www.mql5.com/ru/code/22164

void OnStart()
  {
   ChartSetInteger(0,CHART_IS_DOCKED,false);
   double d=2.45;
   while(!IsStopped())
     {
      int x1=int((0.5+sin(d*1.25)/2)*1920);
      int x2=int((0.5+sin(d*2.12)/2)*1920);
      int y1=int((0.5+sin(d*1.75)/2)*1080);
      int y2=int((0.5+sin(d*2.65)/2)*1080);
      ChartSetInteger(0,CHART_FLOAT_LEFT,(int)fmin(x1,x2));
      ChartSetInteger(0,CHART_FLOAT_TOP,(int)fmin(y1,y2));
      ChartSetInteger(0,CHART_FLOAT_RIGHT,(int)fmax(x1,x2));
      ChartSetInteger(0,CHART_FLOAT_BOTTOM,(int)fmax(y1,y2));
      Canvas.Erase();
      Canvas.TextPosY=20;
      Canvas.Comm("TERMINAL_SCREEN_LEFT = "+ (string)TerminalInfoInteger(TERMINAL_SCREEN_LEFT));
      Canvas.Comm("TERMINAL_SCREEN_TOP = "+ (string)TerminalInfoInteger(TERMINAL_SCREEN_TOP));
      Canvas.Comm("TERMINAL_SCREEN_WIDTH = "+ (string)TerminalInfoInteger(TERMINAL_SCREEN_WIDTH));
      Canvas.Comm("TERMINAL_SCREEN_HEIGHT = "+ (string)TerminalInfoInteger(TERMINAL_SCREEN_HEIGHT));
      Canvas.Comm("TERMINAL_LEFT = "+ (string)TerminalInfoInteger(TERMINAL_LEFT));
      Canvas.Comm("TERMINAL_TOP = "+ (string)TerminalInfoInteger(TERMINAL_TOP));
      Canvas.Comm("TERMINAL_RIGHT = "+ (string)TerminalInfoInteger(TERMINAL_RIGHT));
      Canvas.Comm("TERMINAL_BOTTOM = "+ (string)TerminalInfoInteger(TERMINAL_BOTTOM));
      Canvas.Comm("CHART_FLOAT_LEFT = "+ (string)ChartGetInteger(0,CHART_FLOAT_LEFT));
      Canvas.Comm("CHART_FLOAT_TOP = "+ (string)ChartGetInteger(0,CHART_FLOAT_TOP));
      Canvas.Comm("CHART_FLOAT_RIGHT = "+ (string)ChartGetInteger(0,CHART_FLOAT_RIGHT));
      Canvas.Comm("CHART_FLOAT_BOTTOM = "+ (string)ChartGetInteger(0,CHART_FLOAT_BOTTOM));
      Canvas.Update();
      d+=0.006;
      Sleep(30);
     }
   ChartSetInteger(0,CHART_IS_DOCKED,true);
  }
//+------------------------------------------------------------------+
